@media(prefers-color-scheme: dark) {
  :root {
    --header: rgba(1, 3, 5, 0.8);
    --body: #040D1F;
    --header-color: #fff;
    --banner: rgba(7, 15, 25, 0.75);
    --filmsBg: linear-gradient(180deg, rgba(241, 129, 40, 0.35) 0%, rgba(0, 0, 0, 0.71) 51.04%, rgba(7, 15, 25, 0.8) 100%);
  }
}


@media (max-width: 1200px) {
  .container {
    max-width: 960px;
  }

  .films {
    grid-template-columns: repeat(2, 1fr);
  }

  .films__content {
    padding: 20px;
  }

  .films__card:hover .icon {
    transform: scale(1.8) rotateX(180deg) translateY(-15px);
  }
}

@media (max-width: 992px) {
  .container {
    max-width: 720px;
  }

  .collection__content {
    padding: 0 35px;
    text-align: center;
  }

  .collection {
    grid-template-columns: repeat(3, 350px);
    overflow: auto;
    padding-bottom: 20px;
    scroll-snap-type: x mandatory;
  }

  .collection__card {
    scroll-snap-align: center;
  }

  .collection::-webkit-scrollbar {
    height: 10px;
  }

  .series__card:nth-of-type(2) {
    grid-column: span 4;
    grid-row: span 1;
  }

  .series__card {
    grid-column: span 2;
  }
}

@media (max-width: 768px) {
  .container {
    max-width: 540px;
  }

  .nav__burger {
    display: inline-block;
  }

  .nav__burger:focus {
    background: var(--linkBg);
  }

  .nav__burger:focus~.menu {
    /* visibility: visible; */
    transform: scaleY(1);
  }

  .menu {
    position: absolute;
    background: var(--header);
    top: 100%;
    right: 0;
    flex-direction: column;
    min-width: 200px;
    /* visibility: hidden; */
    transform: scaleY(0);
    transition: 0.5s;
    transform-origin: 0 0;
  }

  .menu__link {
    padding: 20px;
    margin-left: 0;
  }

  .menu__link:hover {
    background: var(--linkBg);
  }

  .banner__title {
    font-size: 45px;
  }

  .footer__content {
    flex-direction: column;
  }

  .footer__img {
    margin: 20px;
    margin-top: 0;
  }
}

@media (max-width: 540px) {
  .logo__img {
    width: 80px;
  }

  .logo {
    font-size: 16px;
  }

  .nav__burger {
    font-size: 30px;
  }

  .btn {
    display: block;
    margin: 0 auto;
  }

  .banner__content {
    text-align: center;
  }

  .banner__link {
    margin: 0 10px 20px 10px;
  }

  .banner__title {
    font-size: 35px;
    -webkit-line-clamp: unset;
  }

  .films {
    grid-template-columns: repeat(1, 1fr);
  }

  .premier__img {
    width: 100%;
  }

  .premier__desc {
    text-align: center;
  }

  .collection {
    grid-template-columns: repeat(1, 1fr);
  }

  .series__card {
    grid-column: span 4;
  }

  .series__title_size {
    font-size: 36px;
    text-align: center;
  }

  .footer__content,
  .footer__desc {
    text-align: center;
  }

}